<template>
  <!--检修-->
  <div class="seat-body">
    <div class="switch-body">
      <div class="switch-group">
        <u-card left-text="前雨刮检修">
          <template #right>
            <u-switch :value="front" v-model="front" />
          </template>
        </u-card>
      </div>

      <div class="switch-group">
        <u-card left-text="电子驻车拖车模式">
          <template #right>
            <u-switch :value="electron" v-model="electron" />
          </template>
        </u-card>
      </div>

      <div class="switch-group">
        <u-card is-arrow left-text="用户手册" @onClick="goToUserManual" />
      </div>
    </div>

    <img
      src="../../assets/images/setting/setting_car2.webp"
      alt=""
      srcset=""
      class="img-bg"
    />
  </div>
</template>

<script>
import MainDialog from "@/components/dialog/MainDialog.vue";
import Select from "@/components/Select.vue";

export default {
  name: "Repair",
  components: {
    Select,
    MainDialog,
  },
  data() {
    return {
      front: true, // 前雨刮检修
      electron: true, // 电子驻车拖车模式
    };
  },
  methods: {
    goToUserManual() {
      this.$router.push("/user_manual");
    },
  },
};
</script>

<style scoped lang="scss">
.seat-body {
  position: relative;
  height: 100%;

  .switch-body {
    width: 688px;
  }

  .switch-group {
    width: 688px;
    box-sizing: border-box;
    margin-bottom: 15px;
    background: #ffffff;
    border-radius: 20px;
  }

  .img-bg {
    width: 897px;
    height: 597px;
    position: absolute;
    right: 0;
    top: 140px;
  }
}
</style>
